Internal-Operations

# Class: WideImage_Operation_AddNoise

Source Location: /Operation/AddNoise.php

### Class Overview

Noise filter

### Methods

- byte
- colorNoise_fun
- execute
- filter
- monoNoise_fun
- saltPepperNoise_fun

### Class Details

[line 30]
Noise filter
[ Top ]

### Class Methods

### method byte [line 146]

`int byte( int $b)`

Returns value within (0,255)

#### Parameters:

int | $b |

[ Top ]

### method colorNoise_fun [line 95]

`void colorNoise_fun( &$r, &$g, &$b, $amount, int $r, int $g, int $b, int $value)`

Adds color noise by altering given R,G,B values using specififed amount

#### Parameters:

int | $r |
int | $g |
int | $b |
int | $value |
| &$r |
| &$g |
| &$b |
| $amount |

[ Top ]

### method execute [line 41]

`WideImage_Image execute( WideImage_Image $image, float $amount, const $type, float $threshold)`

Returns image with noise added

#### Parameters:

WideImage_Image | $image |
float | $amount |
const | $type |
float | $threshold |

[ Top ]

### method filter [line 64]

`WideImage_Image filter( WideImage_Image $image, str $function, int $value)`

Returns image with every pixel changed by specififed function

#### Parameters:

WideImage_Image | $image |
str | $function |
int | $value |

[ Top ]

### method monoNoise_fun [line 110]

`void monoNoise_fun( &$r, &$g, &$b, $amount, int $r, int $g, int $b, int $value)`

Adds mono noise by altering given R,G,B values using specififed amount

#### Parameters:

int | $r |
int | $g |
int | $b |
int | $value |
| &$r |
| &$g |
| &$b |
| $amount |

[ Top ]

### method saltPepperNoise_fun [line 127]

`void saltPepperNoise_fun( &$r, &$g, &$b, $amount, int $r, int $g, int $b, int $value)`

Adds salt&pepper noise by altering given R,G,B values using specififed amount

#### Parameters:

int | $r |
int | $g |
int | $b |
int | $value |
| &$r |
| &$g |
| &$b |
| $amount |

[ Top ]

Documentation generated on Sat, 19 Feb 2011 12:55:41 +0100 by phpDocumentor 1.4.3